Loading...
Searching...
No Matches
mdds::mtv::empty_event_func Struct Reference

`#include <util.hpp>`

## Public Member Functions

void | element_block_acquired (const base_element_block *block)
void | element_block_released (const base_element_block *block)

## Detailed Description

Empty event function handler structure, used when no custom function handler is specified.

## Member Function Documentation

## element_block_acquired()

void mdds::mtv::empty_event_func::element_block_acquired | ( | const base_element_block * | block | ) |

inline

Callback function for element block acquisition events. This gets called whenever the container acquires a new element block either as a result of a new element block creation or a transfer of an existing element block from another container.

Parameters

  block | pointer to the acquired element block instance.

## element_block_released()

void mdds::mtv::empty_event_func::element_block_released | ( | const base_element_block * | block | ) |

inline

Callback function for element block release events. This gets called whenever the container releases an existing element block either because the block is about to be deleted or to be transferred to another container.

Parameters

  block | pointer to the element block instance being released.